%define	name	embryo
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9
%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment bytecode virtual machine
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel


%description
Embryo is primarily a shared library that gives you an API to load and control
interpreted programs compiled into an abstract machine bytecode that it
understands.  This abstract (or virtual) machine is similar to a real machine
with a CPU, but it is emulated in software.

This package is part of the Enlightenment DR17 desktop shell.

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libraries
Requires: %name = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries.

%prep
%setup -q -n %{name}-%{realversion}

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_cc
%{_datadir}/%name
%{_libdir}/*.so.%{major}*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/embryo-1


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
